pangomm: Pango::FontFace Class Reference

pangomm 2.34.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Pango::FontFace Class Reference

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes. More...

Inheritance diagram for Pango::FontFace:
[legend]
Collaboration diagram for Pango::FontFace:
[legend]

## Public Member Functions
virtual | ~FontFace ()
PangoFontFace* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoFontFace* | gobj () const
| Provides access to the underlying C GObject. More...
PangoFontFace* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
FontDescription | describe () const
| Returns the family, style, variant, weight and stretch of a Pango::FontFace. More...
Glib::ustring | get_name () const
| Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face. More...
Glib::ArrayHandle< int > | list_sizes () const
| List the available sizes for a font. More...
bool | is_synthesized () const
| Returns whether a Pango::FontFace is synthesized by the underlying font rendering engine from another face, perhaps by shearing, emboldening, or lightening it. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Pango::FontFace > | wrap (PangoFontFace* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

## Constructor & Destructor Documentation

virtual Pango::FontFace::~FontFace | ( |  | ) |
| virtual

## Member Function Documentation

FontDescription Pango::FontFace::describe | ( |  | ) | const

Returns the family, style, variant, weight and stretch of a Pango::FontFace.

The size field of the resulting font description will be unset.

Returns
  A Pango::FontDescription holding the description of the face.

Glib::ustring Pango::FontFace::get_name | ( |  | ) | const

Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face.

This name is unique among all faces in the family and is suitable for displaying to users.

Returns
  The face name for the face. This string is owned by the face object and must not be modified or freed.

static GType Pango::FontFace::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

PangoFontFace* Pango::FontFace::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const PangoFontFace* Pango::FontFace::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

PangoFontFace* Pango::FontFace::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Pango::FontFace::is_synthesized | ( |  | ) | const

Returns whether a Pango::FontFace is synthesized by the underlying font rendering engine from another face, perhaps by shearing, emboldening, or lightening it.

Since pangomm 1.18:

Returns
  Whether face is synthesized.

Glib::ArrayHandle<int> Pango::FontFace::list_sizes | ( |  | ) | const

List the available sizes for a font.

This is only applicable to bitmap fonts. For scalable fonts this returns an empty array. The sizes returned are in Pango units and are sorted in ascending order.

## Friends And Related Function Documentation

Glib::RefPtr< Pango::FontFace > wrap | ( | PangoFontFace * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pangomm/fontface.h